//go:build !linux
// +build !linux

package main

import "errors"

func readStorage() ([]StorageMetrics, error) {
	return nil, errors.New("storage monitoring is only supported on Linux")
}

func readAllStorage() ([]StorageMetrics, error) {
	return nil, errors.New("storage monitoring is only supported on Linux")
}
